package com.nailart.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nailart.dataobj.PortfolioDO;

import java.util.List;


public interface PortfolioService  extends IService<PortfolioDO> {
    IPage<PortfolioDO> listByPage(int page, int size);
    Integer addPortfolio(PortfolioDO portfolioDO);

    Integer updatePortfolio(PortfolioDO portfolioDO);

    Integer deletePortfolio(Integer id);

    Integer addLoves(Integer id, Integer changes);

    IPage<PortfolioDO> getPortfolioByTag(Long tagID,int page, int size);
}
